org.apache.uima.pear.tools

## Class InstallationTester

- java.lang.Object
- - org.apache.uima.pear.tools.InstallationTester

-     public class InstallationTester
      extends Object

  The `InstallationTester` application allows performing simple verification of the installed UIMA compliant component by using standard UIMA framework interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallationTester(PackageBrowser pkgBrowser)` Creates new instance of the `InstallationTester` class, identifies a specified component using UIMA API.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstallationController.TestStatus` | `doTest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstallationTester

          public InstallationTester(PackageBrowser pkgBrowser)
                             throws IOException,
                                    InvalidXMLException,
                                    ResourceInitializationException,
                                    UIMAException,
                                    UIMARuntimeException

      Creates new instance of the `InstallationTester` class, identifies a specified component using UIMA API.
      Parameters:
        `pkgBrowser` - packageBrowser object of an installed PEAR package
      Throws:
        `IOException` - if any I/O exception occurred.
        `InvalidXMLException` - if component descriptor is invalid.
        `ResourceInitializationException` - if the specified component cannot be instantiated.
        `UIMAException` - if this exception occurred while identifying UIMA component category.
        `UIMARuntimeException` - if this exception occurred while identifying UIMA component category.

  - ### Method Detail

    - #### doTest

          public InstallationController.TestStatus doTest()
                                                   throws IOException,
                                                          InvalidXMLException,
                                                          ResourceInitializationException

      Throws:
        `IOException`
        `InvalidXMLException`
        `ResourceInitializationException`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.